
Redmine - Defect #1495

Queries on versions don't work globally

2008-06-18 21:50 - T Obu

Status: Closed Start date: 2008-06-18

Priority: Low Due date:  

Assignee:  % Done: 0%

Category: Issues filter Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate Affected version: 2.2.2

Description

I saved globally a "vaporware" query - tickets without target version. It now appears at the global level, where it doesn't work and lists

all tickets.

This is a query bug, but since I don't really want the query to be at the global level, just for any project, I'll file a feature request too.

Running r1533 .

Related issues:

Related to Redmine - Defect #980: "For all projects" custom queries New 2008-04-03

Related to Redmine - Defect #1662: Issue's custom fields don't appear on some... Closed 2008-07-18

Has duplicate Redmine - Defect #2107: Issue Filter for "Target Version" vanis... Closed 2008-10-29

Is duplicate of Redmine - Feature #20279: Allow to filter issues with "Any" o... Closed

History

#1 - 2009-12-02 23:53 - Mischa The Evil

Just came around this issue and decided to check it on recent trunk to see if anything fixed this issue overtime already.

I can still confirm this unexpected behaviour due to the fact that the "target version" filters are ignored / removed while at a global (parent) level.

#2 - 2013-02-06 09:14 - Daniel Felix

- Status changed from New to Confirmed

- Affected version (unused) changed from devel to 2.2.2

- Affected version set to 2.2.2

I still can confirm this issue. The target version is removed on the global issue list.

#3 - 2013-11-11 11:00 - Jethro Yu

+1. Still can't filter by target version on 2.3.3

#4 - 2014-04-11 10:38 - Benoit Duffez

+1

Just upgraded to 2.5.1, it's not working on this version either.

#5 - 2015-02-06 10:14 - Juergen ---

- File issue_query.rb.patch added

I had the same problem with the "target version" filter. The filter is only available when one "target version" setting "Sharing" is set to "With all

projects". But I think it is better to show all "target versions" when I will search over all projects.

I attached a patch that solve this problem for me.

#6 - 2017-02-19 16:03 - Marius BĂLTEANU

This issue doesn't reproduce anymore  on current trunk from my checks.

I think that was fixed by r16170 and this ticket duplicates #20279.
https://www.redmine.org/projects/redmine/repository/svn/revisions/1533
https://www.redmine.org/projects/redmine/repository/svn/revisions/16170
https://www.redmine.org/issues/20279


#7 - 2017-02-20 11:46 - Benoit Duffez

Indeed, confirmed to be working as expected on 3.3.1.stable.

#8 - 2017-03-20 07:13 - Toshi MARUYAMA

- Status changed from Confirmed to Needs feedback

#9 - 2018-02-25 17:27 - Marius BĂLTEANU

- Is duplicate of Feature #20279: Allow to filter issues with "Any" or "None" target version defined when viewing all issues added

#10 - 2018-02-25 17:27 - Marius BĂLTEANU

- File issues_without_target_version.png added

- Status changed from Needs feedback to Closed

- Resolution set to Duplicate

Works as expected:

 issues_without_target_version.png 

#11 - 2018-02-25 17:28 - Marius BĂLTEANU

- Category changed from Issues to Issues filter

Files

issue_query.rb.patch 489 Bytes 2015-02-06 Juergen ---

issues_without_target_version.png 348 KB 2018-02-25 Marius BĂLTEANU
